`<root>` | (root node) represents the root node of a tree.
Attributes: |
`label` | gives a label for a root node.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED
`value` | provides the value of the root, which is a feature structure or other analytic element.
| Datatype: IDREF
| Values: A valid identifier of a feature structure or other analytic element.
| Default: #IMPLIED
`children` | provides a list of IDs of the elements which are the children of the root node.
| Datatype: IDREFS
| Values: A list of valid identifiers.
| Default: #IMPLIED
Note | If the root has no children (i.e., the tree is `trivial'), then the `children` attribute must be omitted. For technical reasons, it cannot be specified as `<root children=''>` .
`ord` | indicates whether or not the root is ordered.
| Datatype: (Y | N)
| Legal values: |
`Y` | indicates that the children of the root are ordered.
`N` | indicates that the children of the root are unordered.
| Default: #IMPLIED
Note | Use if and only if `ord=partial` is specified on the `<tree>` tag and the root has more than one child.
`outDegree` | gives the out degree of the root, the number of its children.
| Datatype: NUMBER
| Values: A nonnegative integer.
| Default: #IMPLIED
Note | The in degree of the root is always 0.

Example

    <root id=VP1 label=VP children='VB1 PN1' outDegree=2>

Tagset additional tag set for graphs, networks, and trees
Class
Filename `teinet2`
Content: empty
Parents tree
Children[none]
Declaration

    <!ELEMENT root          - O  EMPTY                              >
    <!ATTLIST root               %a.global
              label              CDATA               #IMPLIED
              value              IDREF               #IMPLIED
              children           IDREFS              #IMPLIED
              ord                (Y | N)             #IMPLIED
              outDegree          NUMBER              #IMPLIED       >

See 21.2

Back to index